/// <reference types="react" />
import { CustomStyling, CustomIcons, UserData } from "./types/CustomStyling";
import { MessageProps } from "./components/Message";
export interface ConvoStackWrapperProps {
    graphqlUrl: string;
    websocketUrl: string;
    userData?: UserData;
    customStyling?: CustomStyling;
    icons?: CustomIcons;
    children: React.ReactNode;
    CustomMessage?: React.ComponentType<MessageProps>;
}
declare const ConvoStackWrapper: React.FC<ConvoStackWrapperProps>;
export default ConvoStackWrapper;
