import { CustomStyling, UserData } from '../types/CustomStyling';
export interface ConvoStackState {
    graphqlUrl: string;
    websocketUrl: string;
    accessToken: string;
    refreshToken: string;
    accessTokenExpiry: number | null;
    refreshTokenExpiry: number | null;
    activeConversationId: string | null;
    context: {
        [key: string]: string;
    } | null;
    agent: string | null;
    isConversationWindowVisible: boolean;
    isConversationListVisible: boolean;
    styling: CustomStyling | null;
    userData: UserData | undefined;
    data: any;
    embedActiveConversationId: {
        [key: string]: string | null;
    };
    embedIsConversationListVisible: {
        [key: string]: boolean;
    };
    embedData: {
        [key: string]: any;
    };
    createdFirstConversation: boolean;
}
export declare const setGraphqlUrl: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setGraphqlUrl">, setWebsocketlUrl: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setWebsocketlUrl">, setAccessToken: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setAccessToken">, setRefreshToken: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setRefreshToken">, setAccessTokenExpiry: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setAccessTokenExpiry">, setRefreshTokenExpiry: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setRefreshTokenExpiry">, setConversationId: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setConversationId">, setContext: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setContext">, setShowConversationWindow: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setShowConversationWindow">, setIsConversationListVisible: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setIsConversationListVisible">, setAgent: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setAgent">, setStyling: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setStyling">, setUserData: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setUserData">, setData: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setData">, setEmbedConversationId: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setEmbedConversationId">, setEmbedIsConversationListVisible: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setEmbedIsConversationListVisible">, setEmbedData: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setEmbedData">, setCreatedFirstConversation: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, "conversation/setCreatedFirstConversation">;
declare const _default: import("redux").Reducer<ConvoStackState>;
export default _default;
